It is currently Thu Dec 12, 2019 12:10 pm

All times are UTC + 1 hour




Post new topic Reply to topic  [ 9 posts ] 
Author Message
 Post subject: PureBasic newbie
PostPosted: Mon Feb 03, 2014 12:23 am 
Offline
New User
New User

Joined: Mon Feb 03, 2014 12:13 am
Posts: 5
Location: Springfield, IL
Hello,

I just downloaded the demo version of PB for Linux. I extracted the archive into my home folder and created a shortcut to it. All good so far. I tried loading some of the demo programs and when I try to compile and run any of them, I am getting a linker error and message box that says cannot find -lGL, cannot find -lGLU, cannot find -lXxf86vm, cannot find -lz, collect2: error: ld returned 1 exit status.

Can someone point me in the right direction?

Thanks,
Gary


Top
 Profile  
Reply with quote  
 Post subject: Re: PureBasic newbie
PostPosted: Mon Feb 03, 2014 12:37 am 
Offline
Addict
Addict
User avatar

Joined: Wed Aug 31, 2005 11:09 pm
Posts: 3695
Location: Italy
Did you check the requirements ?

INSTALL file -> README file -> this :

Quote:
- GTK+ 2.0 devel (and optionally GTK+ 1.2 devel for old application support)
- SDL 1.2 devel
- libstdc++ devel
- iodbc and iodbc-devel to be able to use the Database commands (see http://www.iodbc.org)
- libwebkit.so shoud be installed to have the WebGadget() working
- xine and xine-devel for the Movie commands
- libgnomeprintui2.2 and libgnomeprintui2.2-devel for the print commands

Note: a script which validate if all the development libraries are correctly installed is available
in the main purebasic directory. To execute it, type:

./checkinstall.sh


If you are using a debian based distribution you can do this to install the libs needed:

Code:
sudo apt-get install gcc g++ libc6-dev libsdl1.2-dev libgtk2.0-dev libgnomeprint2.2-dev unixodbc-dev libgnome2-dev libxine-dev libgnomeprintui2.2-dev libxxf86vm-dev

_________________
[ My little PureBasic review ]


Top
 Profile  
Reply with quote  
 Post subject: Re: PureBasic newbie
PostPosted: Mon Feb 03, 2014 12:54 am 
Offline
New User
New User

Joined: Mon Feb 03, 2014 12:13 am
Posts: 5
Location: Springfield, IL
Very much Thanks!

I am using Mint Linux 16 and the sudo code did the trick.

Looking forward to test driving PureBasic.

Thanks again,
Gary


Top
 Profile  
Reply with quote  
 Post subject: Re: PureBasic newbie
PostPosted: Mon Feb 03, 2014 1:33 am 
Offline
Addict
Addict
User avatar

Joined: Sat Oct 17, 2009 10:51 pm
Posts: 1341
Location: Nashville
Welcome Gary, very glad to see a familiar face popping up over here.

_________________
Fangbeast for President!


Top
 Profile  
Reply with quote  
 Post subject: Re: PureBasic newbie
PostPosted: Mon Feb 03, 2014 1:35 am 
Offline
New User
New User

Joined: Mon Feb 03, 2014 12:13 am
Posts: 5
Location: Springfield, IL
Thanks Kuron!


Top
 Profile  
Reply with quote  
 Post subject: Re: PureBasic newbie
PostPosted: Wed Apr 30, 2014 2:57 pm 
Offline
Enthusiast
Enthusiast

Joined: Mon Nov 25, 2013 6:41 am
Posts: 794
Quote:
If you are using a debian based distribution you can do this to install the libs needed:

ubuntu 14.04
Quote:
Reading package lists ... Done
Building dependency tree
Reading state information ... Done
E: Could not find package libgnomeprint2.2-dev
E: Could not find package by regular expression «libgnomeprint2.2-dev»
E: Could not find package libgnomeprintui2.2-dev
E: Could not find package by regular expression «libgnomeprintui2.2-dev»
as @ as-AO722: ~ $


Top
 Profile  
Reply with quote  
 Post subject: Re: PureBasic newbie
PostPosted: Sat May 17, 2014 11:17 pm 
Offline
Addict
Addict
User avatar

Joined: Wed Aug 31, 2005 11:09 pm
Posts: 3695
Location: Italy
mestnyi wrote:
E: Could not find package libgnomeprint2.2-dev
E: Could not find package libgnomeprintui2.2-dev



Go to system settings -> software & updates -> other software

1) click add

2) in the APT line field type: "deb http://us.archive.ubuntu.com/ubuntu precise main universe"

3) confirm the refresh request

reissue the original command I posted and it should work in Ubuntu 14.04

_________________
[ My little PureBasic review ]


Top
 Profile  
Reply with quote  
 Post subject: purebasic_linux_5_31_x64 on LXLE 14.04.2 x64
PostPosted: Thu Mar 19, 2015 11:02 am 
Offline
New User
New User

Joined: Sun Mar 31, 2013 1:13 pm
Posts: 4
Location: UK
Hi
luis's 'ATP Line' tip above was needed - Installed OK now - Thanks luis :-)

In summary:

1 - use luis's 'ATP Line... ' (Start > Updates (Software and Updates) >Settings> other Software > Add)
in the APT line field type: "deb http://us.archive.ubuntu.com/ubuntu precise main universe"
confirm the refresh request

2 - use the commented out 'sudo apt-get' found inside checkinstall.sh
3 - Run checkinstall.sh


Top
 Profile  
Reply with quote  
 Post subject: Re: PureBasic newbie
PostPosted: Thu Sep 03, 2015 4:45 pm 
Offline
Addict
Addict
User avatar

Joined: Fri Apr 12, 2013 1:55 pm
Posts: 1058
Location: just outside of Ferguson
luis wrote:
mestnyi wrote:
E: Could not find package libgnomeprint2.2-dev
E: Could not find package libgnomeprintui2.2-dev


Go to system settings -> software & updates -> other software

1) click add

2) in the APT line field type: "deb http://us.archive.ubuntu.com/ubuntu precise main universe"

3) confirm the refresh request

reissue the original command I posted and it should work in Ubuntu 14.04

Thank you very, very much luis for the big help.
I would be lost without you.

_________________
Keep it BASIC.


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 9 posts ] 

All times are UTC + 1 hour


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Jump to:  

 


Powered by phpBB © 2008 phpBB Group
subSilver+ theme by Canver Software, sponsor Sanal Modifiye